/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: J2WRLSharedEndpointImpl.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxws.sharedwebservices.rpclitservice;

import javax.xml.ws.WebServiceException;

import javax.jws.WebService;

@WebService(
    portName="J2WRLSharedEndpointPort",
    serviceName="J2WRLShared",
    targetNamespace="http://rpclitservice.org/wsdl",
    endpointInterface="com.sun.ts.tests.jaxws.sharedwebservices.rpclitservice.J2WRLSharedEndpoint"
)
public class J2WRLSharedEndpointImpl implements J2WRLSharedEndpoint {
    public String helloWorld()  {
        return "hello world";
    }

    public String stringOperation(String param)  {
        return param;
    }

    public String[] arrayOperation()  {
        return new String[] { "one", "two", "three" };
    }

    public J2WRLSharedBean getBean()  {
        return new J2WRLSharedBean(5, "A String");
    }

    public String arrayOperationFromClient(String[] array)  {
        return "success";
    }
}
